?expand[]=recipient_settlement as the query parameter to the fetch transfer request. This would return a settlement entity and the transfer entity.
Request
Curl
Response
Success
Parameters
expand mandatory
: string Used to retrieve settlement entity along with transfer entity. Supported value is recipient_settlement.
transfer_type optional
: string Applicable only if you are a Razorpay Partner. Controls which transfers are returned based on the destination account and partner configuration. Possible values are:
platform: Returns transfers excluding those sent to the partner’s own Linked Accounts.regular(or when the parameter is omitted): The behaviour depends on the partner’sroute_partnershipsfeature setting:- If
route_partnershipsis enabled: Returns transfers sent to the partner’s own Linked Accounts. - If
route_partnershipsis disabled: Returns all regular transfers associated with the Partner account.
- If
Parameters
id
: string Unique identifier of the transfer.
entity
: string The name of the entity. Here, it is transfer.
transfer_status
: string The status of the transfer. Possible values are:
createdpendingprocessedfailedreversedpartially_reversed
settlement_status
: string The status of the settlement. Possible values are:
pendingon_holdsettled
source
: string Unique identifier of the transfer source. The source can be a payment or an order.
recipient
: string Unique identifier of the transfer destination, that is, the Linked Account.
amount
: integer The amount to be transferred to the Linked Account, in paise. For example, for an amount of ₹200.35, the value of this field should be 20035.
currency
: string ISO currency code. We support route transfers only in INR.
amount_reversed
: integer Amount reversed from this transfer for refunds.
notes
: json object Set of key-value pairs that can be associated with an entity. This can be useful for storing additional information about the entity. A maximum of 15 key-value pairs, each of 256 characters (maximum), are supported.
on_hold
: boolean Indicates whether the account settlement for transfer is on hold. Possible values:
true: Puts the settlement on hold.false: Releases the settlement.
on_hold_until
: integer Timestamp, in Unix, that indicates until when the settlement of the transfer must be put on hold. If no value is passed, the settlement is put on hold indefinitely.
recipient_settlement_id
: string Unique identifier of the settlement.
recipient_settlement
: array
id
: string Unique identifier of the settlement received by the Linked Account.
entity
: string Indicates the type of entity. Here, it is settlement.
amount
: string The settlement amount represented in the smallest unit of the currency passed.
status
: string The status of the settlement. Possible values:
-processed - The settlement process was successful.
-failed - The settlement process failed.
fee
: integer Fee (including GST) charged by Razorpay.
tax
: integer GST charged for the payment.
utr
: string Unique identifier received for the settlement from the bank.
created_at
: integer Timestamp, in Unix, at which the settlement was created.
linked_account_notes
: array List of keys from the notes object which needs to be shown to Linked Accounts on their Dashboard. For example, "region", "city". Only the keys will be shown, not values.
created_at
: integer Timestamp, in Unix, at which the transfer was created.
processed_at
: integer Timestamp, in Unix, at which the transfer was processed.
error
: array Provides error details that may occur during transfers.
code
: string Type of the error.
description
: string Error description.
field
: string Name of the parameter in the API request that caused the error.
source
: string The point of failure in the specific operation. For example, customer, business and so on.
step
: string The stage where the transaction failure occurred. Stages can be different depending on the payment method used to make the transaction.
reason
: string The exact error reason. It can be handled programmatically.
source_channel
: string Medium through which transfers were created. For example, online.
Errors
The api key/secret provided is invalid- code: 4xx
- description: This error occurs when there is a mismatch between the API credentials passed in the API call and the API credentials generated on the Dashboard.
- solution: Make sure the API Keys are active and entered correctly. Also, there should not be any whitespaces before or after the keys. If you get null as an API response, an invalid
recipient_settlement_idwas passed. Ensure to pass a validrecipient_settlement_id, and it belongs to the Linked Account.